<?php 
/**
 * mithra62 - Backup Pro
 *
 * @author		Eric Lamb <eric@mithra62.com>
 * @copyright	Copyright (c) 2015, mithra62, Eric Lamb.
 * @link		http://mithra62.com/
 * @version		3.0
 * @filesource 	./mithra62/BackupPro/Backup/Database/Php/Columns/Linestring.php
 */
namespace mithra62\BackupPro\Backup\Database\Engines\Php\Columns;

use mithra62\BackupPro\Backup\Database\Engines\Php\Columns\Point;

/**
 * Backup Pro - Geometry Column Object
 *
 * Handles processing data from a MySQL Linestring column
 *
 * @package Backup\Database\Engines\Php
 * @author Eric Lamb <eric@mithra62.com>
 */
class Linestring extends Point
{
}