<?php 
/**
 * mithra62 - Backup Pro
 *
 * @author		Eric Lamb <eric@mithra62.com>
 * @copyright	Copyright (c) 2015, mithra62, Eric Lamb.
 * @link		http://mithra62.com/
 * @version		1.0
 * @filesource 	./mithra62/BackupPro/Exceptions/IntegrityAgentException.php
 */
namespace mithra62\BackupPro\Exceptions;

use mithra62\BackupPro\Exception;

/**
 * Backup Pro - Integrity Agent Exception Object
 *
 * Handles exceptions from the IntegrityAgent object
 *
 * @package BackupPro\Exceptions
 * @author Eric Lamb <eric@mithra62.com>
 */
class IntegrityAgentException extends Exception
{
}