<?php 
/**
 * mithra62 - Backup Pro
 *
 * @author		Eric Lamb <eric@mithra62.com>
 * @copyright	Copyright (c) 2015, mithra62, Eric Lamb.
 * @link		http://mithra62.com/
 * @version		1.0
 * @filesource 	./mithra62/BackupPro/Exceptions/FilesException.php
 */
namespace mithra62\BackupPro\Exceptions\Backup;

use mithra62\BackupPro\Exception;

/**
 * Backup Pro Files Backup Exception Object
 *
 * Handles exceptions from the Files Backup object
 *
 * @package BackupPro\Exceptions\Backup
 * @author Eric Lamb <eric@mithra62.com>
 */
class FilesException extends Exception
{
}