<?php 
/**
 * mithra62 - Backup Pro
 *
 * @author		Eric Lamb
 * @copyright	Copyright (c) 2015, mithra62, Eric Lamb.
 * @link		http://mithra62.com/projects/view/backup-pro/
 * @version		3.0
 * @filesource 	./mithra62/BackupPro/language/english.php
 */

/**
 * Language Array
 * mithra62 language translation array
 * 
 * @var array
 */
$lang = array(
    'rest_api_details' => 'Rest API Details',
    'rest_api_instructions' => 'The Backup Pro REST API allows for RESTful calls to manage your entire Backup Pro installation. Be sure to read the docs before getting started.',
    'enable_rest_api' => 'Enable REST API',
    'enable_rest_api_instructions' => 'Once enabled, Backup Pro will respond to RESTful requests using your API key and secret authentication (managable once enabled only). ',
    'rest_api_route_entry' => 'Route Entry URL',
    'rest_api_route_entry_instructions' => 'This is the URL your REST application will need in order to communicate with your site. Note that due to the nature of your CMS it\'s highly likely the URLs aren\'t strictly "RESTful", I know, but go wtih it for now. ', 
    'api_key' => 'API Key',
    'api_key_instructions' => '',
    'api_secret' => 'API Secret',
    'rest_api_credentials' => 'REST API Credentials',
    'rest_api_credentials_instructions' => 'When you setup your Backup Pro installation with a management client, you\'ll need to supply the API Credentials so your installation knows everything is valid and ok to proceed. Note that if you don\'t have any credentials set, a pair is randomized until you do.',
    
    'method_not_allowed' => 'Method Not Allowed...',
    'not_found' => 'Not Found...',
    'unprocessable_entity' => 'Unprocessable Entity',
);